//---------------------------------------------------------------------------

#pragma hdrstop

//---------------------------------------------------------------------------

#include <stdio.h>
#include <conio.h>
#include <windows.h>
#include "U2ACmds.h"
#pragma argsused

typedef int rc;
typedef rc (__stdcall *OpenU2A_type)();
typedef rc (__stdcall *CloseU2A_type)();
typedef rc (__stdcall *ReadReport_type)(unsigned char *);
typedef rc (__stdcall *WriteReport_type)(unsigned char *);
typedef void (__stdcall *SetMaxWaitTime_type)(int);

OpenU2A_type OpenU2A;
CloseU2A_type CloseU2A;
ReadReport_type ReadReport;
WriteReport_type WriteReport;
SetMaxWaitTime_type SetMaxWaitTime;

// functions pointer
typedef void (*PFI0)(int);
PFI0 pfToI2CAdr;
typedef rc (*PFI1)(int);
PFI1 pfDownBuf;
typedef rc (*PFI2)();
PFI2 pfUpBuf;

// load common file
#include "ConsComm.cpp"

// Leave only one of the following lines active, remark all others
// #include "ConsSPI.cpp"
// #include "ConsI2C.cpp"
// #include "ConsEPP.cpp"
// #include "ConsIO.cpp"
// #include "ConsJTAG.cpp"
#include "I2CRead.cpp"


